Subject: RE: Web Proxy server for Cygnus
From: [email-masked] (Andrew Thompson)

14 Aug 1998 08:57:56 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Charles Randall <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>

Charles,

I have sucessfully compiled httpd on mhy system. The ECGS compiler did not
work but he origanal one from cdk.exe did. I had to downgrade
cygwinb19.dll to from 19.3 to 19.1 . (19.0 does not work ether).

Httpd seems to be stable and works as a web server very well.

I have had no sucess what so ever compiling the server for a web proxy,
can you offer any hints. ( I have modified the configuration files and
added mod proxy to modules.c it all compiles until the last stage of
compiling httpd and it crashes with the error 'undefined reference to
inet_reference'.)

Thanks Andrew

On Mon, 10 Aug 1998, Charles Randall wrote:

> I posted a patch a few weeks ago for Apache 1.3.1. I'd be
> be interested in working with you to resolve any problems
> you find (with the exception of the file system stuff mentioned
> in the "file system bogosity" thread from last week or so).
> 
> Check the mailing list archives at
> 
>   http://www.cygnus.com/misc/gnu-win32/
> 
> for the patch. The subject is, "[PATCH] b19.1: Apache 1.3.1".
> 
> Since I didn't get any feedback, I haven't worked with it much
> since then.
> 
> Charles 
> [email-masked]
> ----------
> From: Andrew Thompson
> To: [email-masked]
> Sent: 8/10/98 6:41:01 AM
> Subject: Web Proxy server for Cygnus
> 
> 
> I am looking for some sort of web server that will run under cygnus. It
> must be capable of acting as a proxy and it must be able to recieve a
> 'kill -hup' or whatever to dynamically re-read the configuration file.
> 
> I have tried to compile Squid and Cern WC3 with no success. The Redindian
> release of Apache works but it dies after a kill -hup and when it starts
> it requires a mouse click to clear a not so informative dialogue box which
> makes it usless for a remotly administrated server.
> 
> Does anyone have any sugesstions or help.
> 
> 
> Andrew Thompson
> 
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".